Bug 1348872 - /usr/bin/behave no longer exists for python2-behave
Summary: /usr/bin/behave no longer exists for python2-behave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-behave
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 08:57 UTC by Vitezslav Humpa
Modified: 2018-04-11 07:01 UTC (History)
3 users (show)

Fixed In Version: python-behave-1.2.5-15.fc24 python-behave-1.2.5-17.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-28 13:19:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Vitezslav Humpa 2016-06-22 08:57:41 UTC
Description of problem:

With build python-behave-1.2.5-13.fc24 there's no longer python-behave and python3-behave packages. Instead there are python2-behave and python3-behave. 

The '/usr/bin/behave' executable is now tied to the python3 package and the python3 package only. With python3 being the default python for fedora now I get that when both are installed. However, if only python2-behave is installed, the "behave" executable should link to the "behave-2".

Basically this was already case of bz 1319632 for the previous "python-behave" package and 1.2.5-13 broke that. For us, this is a compat issue, but should this go against policies, we can workaround this.

This might also be a mid-release change that could be unacceptable for F23 (although the build has failed there).

Version-Release number of selected component (if applicable):
python-behave-1.2.5-13.fc24

Comment 1 Matěj Cepl 2016-06-22 09:53:46 UTC
So, this is actually a bug. Per https://fedoraproject.org/wiki/Packaging:Python#Naming:

# If executables are to be shipped for both python 2 and python 3 ... The unversioned executable must be the python2 version.

Comment 2 Fedora Update System 2016-07-14 14:48:20 UTC
python-behave-1.2.5-15.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1172fa8b7

Comment 3 Fedora Update System 2016-07-14 14:48:52 UTC
python-behave-1.2.5-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e99e67203e

Comment 4 Fedora Update System 2016-07-14 14:49:35 UTC
python-behave-1.2.5-15.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9df9da464b

Comment 5 Fedora Update System 2016-07-15 11:54:31 UTC
python-behave-1.2.5-15.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1172fa8b7

Comment 6 Fedora Update System 2016-07-15 17:18:14 UTC
python-behave-1.2.5-15.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9df9da464b

Comment 7 Fedora Update System 2016-07-17 21:47:51 UTC
python-behave-1.2.5-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e99e67203e

Comment 8 Fedora Update System 2016-07-22 18:22:52 UTC
python-behave-1.2.5-15.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-08-12 18:43:42 UTC
python-behave-1.2.5-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ab7a7e66a

Comment 10 Fedora Update System 2016-08-14 00:18:03 UTC
python-behave-1.2.5-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ab7a7e66a

Comment 11 Fedora Update System 2016-08-28 13:19:50 UTC
python-behave-1.2.5-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.